package com.tutego.insel.ws;

import com.tutego.insel.ws.gen.chrisws.ChrisWebServices;
import com.tutego.insel.ws.gen.chrisws.MyWebServicesService;
import com.tutego.insel.ws.gen.jipnews.JIPNews;
import com.tutego.insel.ws.gen.jipnews.JIPNewsService;

public class ClientForGeneratedStubs
{
  public static void main( String[] args )
  {
    JIPNews news = new JIPNewsService().getJIPNews();
    System.out.println( news.giveMeEN( 100 ) );

    ChrisWebServices port = new MyWebServicesService().getChrisWebServicesPort();
    System.out.printf( "%s Your BMI is %.1f%n",
                       port.hello( "Chris" ),
                       port.bodyMassIndex( 183, 84 ) );
  }
}
